1. Trebor1950's Avatar
    As the title says,when I go to update I get the message that I need itunes 7.7 for the update and if I would like to download it. Problem is I have 7.7 installed. Yes, I have tried a clean install of itunes several times to no avail. Any help would be appreciated. Thank you.
    07-19-2008 06:22 AM
LINK TO POST COPIED TO CLIPBOARD